#
# spec file for package mednafen-server
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org
#

%define _group games
%define _user  mednafen
%define _home  %{_localstatedir}/lib/%{_user}
Name:         %{_user}-server
License:      GPL-2.0+
Group:        System/Emulators/Other
Version:      0.5.2
Release:      5.6
Summary:      Mednafen network play server
Source0:      https://mednafen.github.io/releases/files/%{name}-%{version}.tar.xz
Source1:      %{_user}.service
Source2:      %{_user}.SuSEfirewall2
BuildRequires:gcc-c++
Requires(pre):  shadow
URL:          https://mednafen.github.io

%description
Network play server for mednafen

%prep
%setup -qn %{name}

%build
export CFLAGS="%{optflags} -O3 -fomit-frame-pointer -pipe -DNDEBUG"
export CXXFLAGS="$CFLAGS"
%configure
make %{?_smp_mflags}

%install
%make_install
mkdir -p %{buildroot}%{_sbindir}
ln -fs %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{_user}
install -Dm644 %{SOURCE1} %{buildroot}%{_libexecdir}/systemd/system/%{_user}.service
install -Dm664 standard.conf %{buildroot}%{_home}/%{name}.conf
install -Dm644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{_user}

%pre
getent group %{_group} >/dev/null || %{_sbindir}/groupadd -r %{_group}
getent passwd %{_user} >/dev/null || %{_sbindir}/useradd -rc 'User for for multiple video game console emulator server' -s /bin/false -d %{_home} -g %{_group} %{_user}
%service_add_pre %{_user}.service

%post
%service_add_post %{_user}.service

%preun
%service_del_preun %{_user}.service

%postun
%service_del_postun %{_user}.service

%files
%defattr(-,root,root)
%{_sbindir}/rc%{_user}
%{_bindir}/%{name}
%{_libexecdir}/systemd/system/%{_user}.service
%dir %attr(-,%{_user},%{_group}) %{_home}
%config(noreplace) %attr(0664,%{_user},%{_group}) %{_home}/%{name}.conf
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{_user}
%doc ChangeLog

%changelog
* Tue Jul 25 2017 jengelh@inai.de
- Abort installation if useradd fails.
- Replace %%__-type macro indirections.
* Sat Jul 15 2017 ilya@ilya.pp.ua
- Initial package 0.5.2
